APIReporting
Get AI spend and limits
Month-to-date AI spend, the monthly cap, and AI resolution usage against its limit. Requires the admin scope.
GET
/reporting/ai-spendcurl -X GET "https://productlane.com/api/v2/reporting/ai-spend" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Response
application/json
Successful response
month_to_date_centsnumberrequiredmonthly_cap_centsnumber | nullrequiredpay_per_use_enabledbooleanrequiredai_resolutions_this_monthnumberrequiredai_resolution_monthly_limitnumber | nullrequired
{
"month_to_date_cents": 0,
"monthly_cap_cents": 0,
"pay_per_use_enabled": true,
"ai_resolutions_this_month": 0,
"ai_resolution_monthly_limit": 0
}